Display only has 640x480

Bug #1824677 reported by Kev Bowring on 2019-04-14
52
This bug affects 7 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Timo Aaltonen
Disco
Undecided
Timo Aaltonen

Bug Description

[Impact]
("older") NVIDIA hw will boot with a non-optimal resolution due to the change to disable nouveau.modeset by default. The patch will be changed later to apply only to a subset of NVIDIA hw, but for disco the commit should be reverted.

[Test case]
boot a kernel with the revert

[Regression potential]
bug 1822026 will be reopened, no other known regressions

--

Upgraded kernel available.

Restarted to 640x480 display.

No other resolutions apparently available.

Rebooted to previous kernel - display resolution now correct.

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: xserver-xorg-video-nouveau 1:1.0.16-1
ProcVersionSignature: Ubuntu 5.0.0-11.12-generic 5.0.6
Uname: Linux 5.0.0-11-generic x86_64
ApportVersion: 2.20.10-0ubuntu27
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CompositorRunning: None
CurrentDesktop: XFCE
Date: Sun Apr 14 06:20:02 2019
DistUpgraded: 2018-10-14 15:47:40,052 ERROR got error from PostInstallScript ./xorg_fix_proprietary.py (g-exec-error-quark: Failed to execute child process “./xorg_fix_proprietary.py” (No such file or directory) (8))
DistroCodename: disco
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 NVIDIA Corporation GT218 [GeForce 210] [10de:0a65] (rev a2) (prog-if 00 [VGA controller])
   Subsystem: ZOTAC International (MCO) Ltd. GT218 [GeForce 210] [19da:1160]
InstallationDate: Installed on 2018-08-27 (229 days ago)
InstallationMedia: Xubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180824)
MachineType: NOVATECH LTD MBB-44608
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-11-generic root=UUID=5ea4b063-e7d4-43c8-8d9a-5c5f89fa3a3f ro quiet splash vt.handoff=1
SourcePackage: xserver-xorg-video-nouveau
UpgradeStatus: Upgraded to disco on 2018-10-14 (181 days ago)
dmi.bios.date: 06/19/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: F5
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: H81M-DS2V
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: To be filled by O.E.M.
dmi.chassis.asset.tag: 7383241-001
dmi.chassis.type: 3
dmi.chassis.vendor: NOVATECH LTD
dmi.chassis.version: V1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF5:bd06/19/2014:svnNOVATECHLTD:pnMBB-44608:pvrV1.0:rvnGigabyteTechnologyCo.,Ltd.:rnH81M-DS2V:rvrTobefilledbyO.E.M.:cvnNOVATECHLTD:ct3:cvrV1.0:
dmi.product.family: AMI PLATFORM
dmi.product.name: MBB-44608
dmi.product.sku: MBB-44608
dmi.product.version: V1.0
dmi.sys.vendor: NOVATECH LTD
modified.conffile..etc.default.apport: [modified]
mtime.conffile..etc.default.apport: 2018-09-21T16:30:23.845026
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.97-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 19.0.2-1ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx 19.0.2-1ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.20.4-1ubuntu3
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.0.1-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20180925-2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

Kev Bowring (flocculant) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-nouveau (Ubuntu):
status: New → Confirmed
Timo Aaltonen (tjaalton) wrote :

Nouveau modeset is now disabled by default, because the driver is buggy and can prevent installation.

You can re-enable it by adding 'nouveau.modeset=1' to 'GRUB_CMDLINE_LINUX' on /etc/default/grub, and running update-grub after that.

Changed in xserver-xorg-video-nouveau (Ubuntu):
status: Confirmed → Won't Fix
Timo Aaltonen (tjaalton) wrote :

well, maybe the disabling could be limited to known 'bad' hw with buggy firmware, which usually means fairly new hw

Changed in xserver-xorg-video-nouveau (Ubuntu):
status: Won't Fix → Confirmed
Timo Aaltonen (tjaalton) wrote :

we'll revert the change for now

affects: xserver-xorg-video-nouveau (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: nobody → Timo Aaltonen (tjaalton)
Timo Aaltonen (tjaalton) on 2019-04-15
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.0.0-13.14

---------------
linux (5.0.0-13.14) disco; urgency=medium

  * linux: 5.0.0-13.14 -proposed tracker (LP: #1824819)

  * Display only has 640x480 (LP: #1824677)
    - Revert "UBUNTU: SAUCE: drm/nouveau: Disable nouveau driver by default"

  * shiftfs: use after free when checking mount options (LP: #1824735)
    - SAUCE: shiftfs: prevent use-after-free when verifying mount options

linux (5.0.0-12.13) disco; urgency=medium

  * linux: 5.0.0-12.13 -proposed tracker (LP: #1824726)

  * Linux 5.0 black screen on boot, display flickers (i915 regression with
    certain laptop panels) (LP: #1824216)
    - drm/i915/dp: revert back to max link rate and lane count on eDP

  * kernel BUG at fs/attr.c:287 when using shiftfs (LP: #1824717)
    - SAUCE: shiftfs: fix passing of attrs to underaly for setattr

 -- Seth Forshee <email address hidden> Mon, 15 Apr 2019 09:11:23 -0500

Changed in linux (Ubuntu Disco):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers